<?php
function smarty_modifier_cleantext($text)
{
	$text = stripslashes($text); 
	$text = str_replace('"', '&quot;', $text); 
	$text = str_replace(' & ', ' &amp; ', $text); 
	$text = str_replace('<', '&lt;', $text); 
	$text = str_replace('>', '&gt;', $text); 
	$text = str_replace('ü', '&uuml;', $text); 
	$text = str_replace('Ü', '&Uuml;', $text); 
	$text = str_replace('ö', '&ouml;', $text); 
	$text = str_replace('Ö', '&Ouml;', $text); 
	$text = str_replace('ä', '&auml;', $text); 
	$text = str_replace('Ä', '&Auml;', $text);
	$text = str_replace('»', '&raquo;', $text); 
	$text = str_replace('«', '&laquo;', $text); 
	$text = str_replace('ß', '&szlig;', $text); 
	$text = str_replace('€', '&euro;', $text); 
	$text = str_replace('©', '&copy;', $text); 
	$text = str_replace('®', '&reg;', $text); 
	$text = str_replace('™', '&#8482;', $text); 
	return $text;
}
?>